isREML {lme4} | R Documentation

## Check characteristics of models

### Description

Check characteristics of models: whether a model fit corresponds to a linear (LMM), generalized linear (GLMM), or nonlinear (NLMM) mixed model, and whether a linear mixed model has been fitted by REML or not (`isREML(x)` is always `FALSE` for GLMMs and NLMMs).

### Usage

      isREML(x, ...)

      isLMM(x, ...)

      isNLMM(x, ...)

      isGLMM(x, ...)

### Arguments

`x` | a fitted model.
`...` | additional, optional arguments. (None are used in the merMod methods)

### Details

These are generic functions. At present the only methods are for mixed-effects models of class `merMod`.

### Value

a logical value

### See Also

getME

### Examples

    fm1 <- lmer(Reaction ~ Days + (Days|Subject), sleepstudy)
    gm1 <- glmer(cbind(incidence, size - incidence) ~ period + (1 | herd),
                  data = cbpp, family = binomial)
    nm1 <- nlmer(circumference ~ SSlogis(age, Asym, xmid, scal) ~ Asym|Tree,
                 Orange, start = c(Asym = 200, xmid = 725, scal = 350))

    isLMM(fm1)
    isGLMM(gm1)
    ## check all :
    is.MM <- function(x) c(LMM = isLMM(x), GLMM= isGLMM(x), NLMM= isNLMM(x))
    stopifnot(cbind(is.MM(fm1), is.MM(gm1), is.MM(nm1))
    	  == diag(rep(TRUE,3)))

[Package lme4 version 1.1-21 Index]